#
# spec file for package digi_ned (Version 0.2.2)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  ed libax25 xf86
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs ed file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libax25 libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared

Name:         digi_ned
Copyright:    GPL
Group:        Networking/Hamradio
Provides:     digi_ned
Autoreqprov:  on
Version:      0.2.2
Release:      137
Source:       %{name}-%{version}.tgz
Patch:	      %{name}.dif
URL:          http://www.homepages.hetnet.nl/~remko/index.html
BuildRoot:    /var/tmp/%{name}-root
Summary:      Intelligent APRS digipeater

%description
Intelligent Digi, based on a configuration file, an .INI
file (looks like Stealth's .INI file but also includes
commands to do a proper WIDEn-N without the long digi
path).
Only one Digi-call in one place within the .INI file.
Digipeat frames compatible with PID AX.25,IP,ARP and NETROM
Callsign substitution (With the option of not doing it!)
and digi *only* once traps
reacts to the ?APRS? beacon.
Supports several auto response messages like ?ping?
DIGI_NED can use all types of packet modems which can be used
by TFPCX (how could that be possible?), this includes BPQ over
Ethernet, baycom, scc-cards, yamm modem and so on.

Authors:
--------
    Henk de Groot, PE1DNN <pe1dnn@amsat.org>

SuSE series: ham

%prep
%setup -n %{name}
%patch

%build
%define prefix   /usr
%define sysconfdir /etc
CFLAGS="$RPM_OPT_FLAGS"
make depend
make

%install
%define INSTALL_DIR install -d -m755
export RPM_BUILD_ROOT
if [ ! "x" = "x$RPM_BUILD_ROOT" ] ; then
   rm -fr $RPM_BUILD_ROOT
   %{INSTALL_DIR} $RPM_BUILD_ROOT
fi
install -d -m 755 -o root -g root $RPM_BUILD_ROOT/usr/sbin
install -o root -g localham -m 755 digi_ned $RPM_BUILD_ROOT/usr/sbin/
install -d -m 755 -o root -g localham $RPM_BUILD_ROOT/etc/digi_ned
install -o root -g localham -m 644 *.ini $RPM_BUILD_ROOT/etc/digi_ned

%files
%doc COPYING Changes.txt README digi_ned.txt 
%{prefix}/sbin/digi_ned
%config(noreplace)/etc/digi_ned/digi_ned.ini
%config(noreplace)/etc/digi_ned/digibcon.ini

%changelog -n digi_ned
* Thu Mar 08 2001 - uli@suse.de
- added xf86 to neededforbuild
* Sat Dec 02 2000 - ka@suse.de
- update to version 0.2.2
* Thu Nov 30 2000 - jreuter@suse.de
- changed group to Networking/Hamradio
* Fri Nov 17 2000 - ro@suse.de
- renamed timer_t to timer_s_t (clash with glibc-2.2)
* Mon May 15 2000 - ka@suse.de
- initial release 0.0.9
- compiled with -DNEW_AX25
- copied *.ini files to /etc/digi_ned for FHS reasons
